Page MenuHomePhabricator

Connect image tag contributions to Suggested edits profile stats
Closed, ResolvedPublic

Description

For Suggested edits V4 on Android, we need to make sure that image tag contributions are connected to profile stats on the home screen. Ideally, publishing one set of tags should be counted as 1 contribution (not the amount of tags).

Derived from T241840:

03) Image tag contribution are not counted as contribution in profile stats yet (and are not triggering the profile stats page, e.g. after the first image tag edit)

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEditorTasks : wmf/1.35.0-wmf.23Fix revert counting for non-language-specific counters, take 2
mediawiki/extensions/WikimediaEditorTasks : masterFix revert counting for non-language-specific counters, take 2
mediawiki/extensions/WikimediaEditorTasks : masterFix revert counting for non-language-specific counters
mediawiki/extensions/WikimediaEditorTasks : wmf/1.35.0-wmf.22Fix revert counting for non-language-specific counters
mediawiki/extensions/WikimediaEditorTasks : wmf/1.35.0-wmf.23Fix revert counting for non-language-specific counters
mediawiki/extensions/WikimediaEditorTasks : masterAdds Image Tag edit and revert counts

Event Timeline

schoenbaechler added a subscriber: Charlotte.

Bringing this to your attention in case your checking in with product infrastructure soon @Charlotte.

Thanks @schoenbaechler - will add this to the apps sync agenda for tomorrow.

@Mholloway Charlotte would like to discuss this with Joaquin tomorrow. If you have any preliminary thoughts or questions, could you please add here? Thanks!

I'll look this afternoon at what specifically needs to happen on the server side to support this.

This should be pretty straightforward: it will just require creating an additional WikipediaAppCounter subclass in the WikimediaEditorTask extension, along the lines of the existing ones for description and caption edits, to handle successful app edits via the wbsetclaim API action (which is the module the app will need to use to set Depicts statements for approved tags).

Then the new counter will have to be enabled in the WMF production MediaWiki config.

Jhernandez added a subscriber: Jhernandez.

Moved to tracking as we are can't directly work on this, but we can schedule office hours and code review any work the android team does on this like last quarter.

Let @Mholloway know if his comment needs more detail or me if you want to set something face2face to discuss.

Change 575119 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[mediawiki/extensions/WikimediaEditorTasks@master] Adds Image Tag edit and revert counts

https://gerrit.wikimedia.org/r/575119

Just read some recent comments and I’m not entirely sure if my initial description of the task was clear enough.

This is not only about connecting image tags to the “Contributions” counter, it’s about connecting it to all profile stats (“Edit streak / Last edited“, “Pageviews” and “Edit quality”).

LMK if this needs additional specs, @Sharvaniharan. Thx!

Dbrant added a subscriber: Dbrant.Feb 27 2020, 4:49 PM

@schoenbaechler How does "pageviews" relate to adding image tags?

@schoenbaechler How does "pageviews" relate to adding image tags?

You could make an argument that each view on Commons of the image one has tagged counts as a view of the tags. I think it's a very tenuous argument, though, and am happy to leave this off. (There's an interesting edge case where users only ever tag images through SE and so we show them X edits with no pageviews, but this seems fairly unlikely.)

Change 575119 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Adds Image Tag edit and revert counts

https://gerrit.wikimedia.org/r/575119

Charlotte added a comment.EditedTue, Mar 10, 4:10 PM

Note that this should both increment the counter and count toward the user's edit streak, and any reverts should be counted against the user's edit quality.

Change 578599 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@master] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/578599

Note that this should both increment the counter and count toward the user's edit streak, and any reverts should be counted against the user's edit quality.

I noticed a bug in the latter yesterday, when double-checking this code immediately before I was about to deploy the config change. The patch above should fix it. Since it's a bug fix, I should be able to backport the code to the live MW branches once it's approved so that we can enable the config and resolve this.

Change 579071 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/579071

Change 579072 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.22] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/579072

Change 579071 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/579071

Change 579072 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.22] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/579072

Change 578599 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Fix revert counting for non-language-specific counters

https://gerrit.wikimedia.org/r/578599

Mentioned in SAL (#wikimedia-operations) [2020-03-11T23:51:30Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: WikimediaEditorTasks: Enable depicts counter (T244974) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2020-03-11T23:52:46Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: WikimediaEditorTasks: Enable depicts counter (T244974) (Simon says) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2020-03-12T00:14:57Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Disable depicts counter due to code revert (T244974) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2020-03-12T00:16:16Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Disable depicts counter due to code revert (T244974), take 2 (duration: 01m 07s)

Change 579109 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@master] Fix revert counting for non-language-specific counters, take 2

https://gerrit.wikimedia.org/r/579109

I'm not sure how to interpret the column move, but there is another patch outstanding that must be reviewed/merged before this can launch: https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikimediaEditorTasks/+/579109/

Change 579109 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Fix revert counting for non-language-specific counters, take 2

https://gerrit.wikimedia.org/r/579109

Change 580437 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Fix revert counting for non-language-specific counters, take 2

https://gerrit.wikimedia.org/r/580437

Change 580437 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.23] Fix revert counting for non-language-specific counters, take 2

https://gerrit.wikimedia.org/r/580437

Mentioned in SAL (#wikimedia-operations) [2020-03-17T20:50:19Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.23/extensions/WikimediaEditorTasks: Fix revert counting for non-language-specific counters, take 2 (T244974) (duration: 01m 12s)

Thx @Sharvaniharan – looking good – wasn’t really able to check if it works well with edit quality. Is there a way to test it? Moving it to QA signoff!

Dbrant closed this task as Resolved.Mon, Mar 30, 5:11 PM